#include <iostream>
#include <string>

using namespace std;

string zadatak_1(string X,string Y){
    int sizeX=X.size();
    int sizeY=Y.size();
    string Z;
    if(sizeX>sizeY){
        Y.insert(0,sizeX-sizeY,'.');
        sizeY=sizeX;
    }
    else if(sizeY>sizeX){
        X.insert(0,sizeX-sizeY,'.');
        sizeX=sizeY;
    }
    int higher=sizeX;
    for(int i=0;i<higher;i++){
        if(X[i]==Y[i]){
            Z.push_back(X[i]);
            Z.push_back(Y[i]);
        }
        else{
            Z.push_back(max(X[i],Y[i]));
        }
    }
    return Z;
}

int main(){
    string X,Y;
    cin >> X >> Y;
    cout << zadatak_1(X,Y);
    return 0;
}